
Redmine - Defect #16564

Repository identifiers can be reserved words

2014-04-08 11:32 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.5.2   

Resolution: Fixed Affected version: 2.5.1

Description

A client of Planio has created a repository with the identifier statistics and was unable to access that repository via the web UI. While

investigating this issue, we discovered that the reserved words list for repository identifiers (

source:/tags/2.5.1/app/models/repository.rb#L43) is incomplete (browse and others are missing) or wrong (stats should be statistics,

show is double).

Associated revisions

Revision 13127 - 2014-05-02 10:09 - Jean-Philippe Lang

Repository identifiers can be reserved words (#16564).

Patch by Felix Schäfer.

Revision 13154 - 2014-05-24 18:28 - Jean-Philippe Lang

Merged r13127 (#16564).

History

#1 - 2014-04-08 11:34 - Felix Schäfer

- File 16564.diff added

The attached patch fixes this and has a list of reserved words as per rake routes | grep repository which should be complete. This doesn't handle

possibly existing repos with those identifiers though.

#2 - 2014-04-08 18:56 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#3 - 2014-05-02 10:09 - Jean-Philippe Lang

- Category set to SCM

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.5.2

- Resolution set to Fixed

Committed in r13127, thanks.

#4 - 2014-05-24 18:28 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

16564.diff 950 Bytes 2014-04-08 Felix Schäfer
